## Apache Zeta Components Manual :: File Source for skip_days.php

## Source for file skip_days.php

Documentation is available at skip_days.php

1. <?php
2. /**
3. * File containing the ezcFeedSkipDaysElement class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package Feed
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * Class defining a skipDays element.
30. *
31. * @property array(string) $days
32. * Which days to skip when retrieving a feed, for example
33. * array('Saturday', 'Sunday').
34. * @package Feed
35. * @version //autogentag//
36. */
37. class ezcFeedSkipDaysElement extends ezcFeedElement
38. {
39. /**
40. * Sets the property $name to $value.
41. *
42. * @param string $name The property name
43. * @param mixed $value The property value
44. * @ignore
45. */
46. public function __set( $name, $value )
47. {
48. switch ( $name )
49. {
50. case 'days':
51. if ( ! is_array ( $value ) )
52. {
53. $value = array( $value );
54. }
56. $this-> properties [$name] = $value;
57. break;
59. default:
60. parent::__set( $name, $value );
61. }
62. }
64. /**
65. * Returns the value of property $name.
66. *
67. * @param string $name The property name
68. * @return mixed
69. * @ignore
70. */
71. public function __get( $name )
72. {
73. switch ( $name )
74. {
75. case 'days':
76. if ( isset( $this-> properties [$name] ) )
77. {
78. return $this-> properties [$name];
79. }
80. break;
82. default:
83. return parent::__get( $name );
84. }
85. }
86. }
87. ?>

Documentation generated by phpDocumentor 1.4.3